<%= form_for(@training) do |f| %>
    <% if @training.errors.any? %>
        <div id="error_explanation">
          <h2><%= pluralize(@training.errors.count, "error") %> prohibited this training from being saved:</h2>

          <ul>
            <% @training.errors.full_messages.each do |message| %>
                <li><%= message %></li>
            <% end %>
          </ul>
        </div>
    <% end %>

    <div class="field">
      <label class="control-label" for="date">Datum:</label>
      <input type="date" name="date" id="date" placeholder="Ansichtsdatum" value="<%= @date.to_s%>">
    </div>
    <div class="field">
      <%= f.label :name %><br>
      <%= f.text_field :name %>
    </div>
    <div class="field">
      <%= f.label :type %><br>
      <%= f.select :type, [['StrengthTraining','StrengthTraining'],['EnduranceTraining','EnduranceTraining']] %>
    </div>
    <div class="field">
      <%= f.label :note %><br>
      <%= f.text_area :note %>
    </div>

    <%# strengthTraining fields %>

    <div class="field StrengthTraining">
      <%= f.label :sets %><br>
      <%= f.number_field :sets %>
    </div>
    <div class="field StrengthTraining">
      <%= f.label :weight %><br>
      <%= f.number_field :weight %>
    </div>
    <div class="field StrengthTraining">
      <%= f.label :reruns %><br>
      <%= f.number_field :reruns %>
    </div>

    <%# EnduranceTraining fields %>

    <div class="field EnduranceTraining" style="display: none">
      <%= f.label :length %><br>
      <%= f.number_field :length %>
    </div>

    <div class="actions">
      <%= f.submit :class => 'btn btn-primary' %>
    </div>
<% end %>
